# binaryninja.callingconvention.CallingConvention

class `binaryninja.callingconvention.``CallingConvention`(arch=None, name=None, handle=None, confidence=255)
  `__init__`(arch=None, name=None, handle=None, confidence=255)

  Methods

  `__init__`([arch, name, handle, confidence]) |
  `get_incoming_flag_value`(flag, func) |
  `get_incoming_reg_value`(reg, func) |
  `get_incoming_var_for_parameter_var`(in_var, func) |
  `get_parameter_var_for_incoming_var`(in_var, func) |
  `perform_get_incoming_flag_value`(reg, func) |
  `perform_get_incoming_reg_value`(reg, func) |
  `perform_get_incoming_var_for_parameter_var`(...) |
  `perform_get_parameter_var_for_incoming_var`(...) |
  `with_confidence`(confidence) |

  Attributes

  `arg_regs_share_index` |
  `caller_saved_regs` |
  `float_arg_regs` |
  `float_return_reg` |
  `global_pointer_reg` |
  `high_int_return_reg` |
  `implicitly_defined_regs` |
  `int_arg_regs` |
  `int_return_reg` |
  `name` |
  `stack_adjusted_on_return` |
  `stack_reserved_for_arg_regs` |